/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __NETWORK_STATE_H__
#define __NETWORK_STATE_H__

#include "network_state.h"
#include "gdbus.h"

class NetworkState:public GDbus {
public:
	NetworkState();
	~NetworkState();
	error_e AddRoute(const char *ip, const char *mask, const char *interface,
			const char *gateway, int family, gboolean *result);
	error_e RemoveRoute(const char *ip, const char *mask, const char *interface,
			const char *gateway, int family, gboolean *result);
	error_e EthernetCableState(int *state);
	error_e LaunchMdns(const char *name);
	error_e DevicePolicySetWifi(int state);
	error_e DevicePolicyGetWifi(int *state);
	error_e DevicePolicySetWifiProfile(int state);
	error_e DevicePolicyGetWifiProfile(int *state);
	error_e GetMeteredInfo(gboolean *state);
	error_e PreferredIpv6Address(const char *profile, char *address);
	error_e GetTCPDumpState(gboolean *state);
	error_e StartTCPDump();
	error_e StopTCPDump();
};


#endif /* __NETWORK_STATE_H__ */
