/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __VPN_H__
#define __VPN_H__

#include "vpn.h"
#include "gdbus.h"

class Vpnsvc:public GDbus {
public:
	Vpnsvc();
	~Vpnsvc();

	error_e vpn_init(const char *iface_name, int iface_name_len, int *result,
		int *h_index, char *h_name);
	error_e vpn_deinit(const char *dev_name, int *result);
	error_e vpn_protect(const char *dev_name, int *result);
	error_e vpn_up(const char *iface_name, int *result);
	error_e vpn_down(const char *iface_name, int *result);
	error_e vpn_block_networks(GVariant *nets_vpn, int nr_nets_vpn,
		GVariant *nets_orig, int nr_nets_orig, int *result);
	error_e vpn_unblock_networks(int *result);
	error_e vpn_update_settings(int iface_index, const char *local_ip,
		const char *remote_ip, int mtu, int *result);
	error_e vpn_add_route(const char *iface_name, const char *route, int prefix,
		int *result);
	error_e vpn_remove_route(const char *iface_name, const char *route, int prefix,
		int *result);
	error_e vpn_add_dns_server(const char* iface_name, const char *dns_server,
		int *result);
	error_e vpn_remove_dns_server(const char* iface_name, const char *dns_server,
			int *result);
};


#endif /* __VPN_H__ */
