/*
 * Network Configuration Module
 *
 * Copyright (c) 2000 - 2012 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __NETCONFIG_IP_CONFLICT_DETECT_H__
#define __NETCONFIG_IP_CONFLICT_DETECT_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <stdbool.h>
#include "wifi.h"

struct sock_data {
	guint timer_id;
	int chk_conflict_data_id;
	GIOChannel *chk_conflict_sock_io;
	int chk_conflict_sd;
	guint timeout;
	guint arp_reply_timer;
	int iteration;
};

struct sock_data * start_ip_conflict_mon(void);
void stop_ip_conflict_mon();
gboolean handle_ip_conflict_set_enable(Wifi *wifi, GDBusMethodInvocation *context,
		bool detect);
gboolean handle_is_ip_conflict_detect_enabled(Wifi *wifi, GDBusMethodInvocation *context);
gboolean handle_set_ip_conflict_period(Wifi *wifi, GDBusMethodInvocation *context,
		guint initial_time);
gboolean handle_get_ip_conflict_state(Wifi *wifi, GDBusMethodInvocation
		*context);
gboolean handle_get_ip_conflict_period(Wifi *wifi, GDBusMethodInvocation *context);


#ifdef __cplusplus
}
#endif

#endif /* __NETCONFIG_IP_CONFLICT_DETECT_H__ */
